{
	"name": "Node.js App Dev Container",
	"image": "mcr.microsoft.com/devcontainers/javascript-node:24",

	// Features to add to the dev container. More info: https://containers.dev/features.
	"features": {
		"ghcr.io/devcontainers/features/git:1": {}
	},

	// Use 'forwardPorts' to make a list of ports inside the container available locally.
	"forwardPorts": [
		5173, // dev mode for vite
		4173 // preview mode for vite
	],

	// Use 'postCreateCommand' to run commands after the container is created.
	"postCreateCommand": "npm install",

	// Configure tool-specific properties.
	"customizations": {
		// Configure properties specific to VS Code.
		"vscode": {
			"extensions": [
				"dbaeumer.vscode-eslint",
				"esbenp.prettier-vscode",
				"ms-azuretools.vscode-docker"
			]
		}
	}

	// "remoteUser": "node"
}
